#
# spec file for package ocfs2-tools (Version 1.3.9)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake bash binutils bzip2 cairo coreutils cpio cpp cpp43 cracklib cups-libs cvs desktop-translations diffutils e2fsprogs-devel file filesystem fillup findutils fontconfig freetype2 gawk gcc gcc43 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz gmp grep groff gtk2 gzip hicolor-icon-theme info insserv less libacl libattr libblkid-devel libblkid1 libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdb-4_5 libdrm libexpat1 libext2fs-devel libext2fs2 libgcc43 libgcrypt libgcrypt-devel libglade2 libgnutls-devel libgnutls13 libgomp43 libgpg-error libgpg-error-devel libjpeg libltdl-3 libmpfr1 libmudflap43 libopencdk-devel libopencdk10 libopenssl0_9_8 libpng libreadline5 libstdc++43 libtiff3 libtool libuuid-devel libuuid1 libvolume_id libxcrypt libxml2 libzio linux-kernel-headers lzo lzo-devel m4 make man mktemp ncurses ncurses-devel net-tools netcfg openssl-certs pam pam-modules pango patch perl perl-base permissions pkg-config popt psmisc python python-cairo python-devel python-gobject2 python-gtk python-numeric readline-devel rpm sed sqlite sysvinit tar texinfo timezone update-desktop-files util-linux xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxcb xorg-x11-libxkbfile zlib zlib-devel

Name:           ocfs2-tools
BuildRequires:  e2fsprogs-devel glib2-devel gnutls-devel python-devel python-gtk readline-devel update-desktop-files
Summary:        Oracle Cluster File System 2 Core Tools
Version:        1.3.9
Release:        1
License:        GPL v2 or later
Group:          System/Filesystems
Source:         ocfs2-tools-%{version}.tar.bz2
Patch0:         ocfs2-tools-suse.diff
Patch1:         ocfs2-tools-1.2.2.diff
Url:            http://oss.oracle.com/projects/ocfs2-tools/
Requires:       coreutils, net-tools, modutils, e2fsprogs, /sbin/chkconfig, glib2 >= 2.2.3
PreReq:         %insserv_prereq %fillup_prereq
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
OCFS is the Oracle Cluster File System.

This package contains the core user-space tools needed for creating and
managing the file system.



Authors:
--------
    Oracle Corporation

%debug_package
%package -n ocfs2console
Summary:        Oracle Cluster Filesystem 2 GUI tools
Group:          System/Filesystems
Obsoletes:      ocfs2-support
Requires:       ocfs2-tools = %{version}
AutoReqProv:    No
Requires:       e2fsprogs, glib2 >= 2.2.3, vte >= 0.11.10, python-gtk >= 1.99.16, ocfs2-tools = %{version}
%{py_requires}

%description -n ocfs2console
OCFS is the Oracle Cluster Filesystem.

This package contains additional tools and a GUI (python-gtk).



Authors:
--------
    Oracle Corporation

%package devel
Summary:        Oracle Cluster File System 2 Development files
Group:          System/Filesystems
Requires:       ocfs2-tools = %{version}, libcom_err, libcom_err-devel

%description devel
OCFS is the Oracle Cluster File System.

This package contains the header files and static libraries for
developing low-level OCFS2-aware applications.



Authors:
--------
    Oracle Corporation

%prep
%setup -n ocfs2-tools
%patch0 -p1
%patch1 -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
export CFLAGS="${CFLAGS} ${RPM_OPT_FLAGS}"
export PROJECT="ocfs2-tools"
autoreconf -fi -I /usr/share/aclocal
%configure --disable-debug --prefix=/usr --mandir=/usr/share/man 
# --enable-dynamic-fsck=yes --enable-dynamic-ctl=yes
make OPTS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/sbin
cp -f vendor/common/o2cb.init $RPM_BUILD_ROOT/etc/init.d/o2cb
cp -f vendor/common/ocfs2.init $RPM_BUILD_ROOT/etc/init.d/ocfs2
ln -sf /etc/init.d/o2cb  $RPM_BUILD_ROOT/sbin/rco2cb
ln -sf /etc/init.d/ocfs2  $RPM_BUILD_ROOT/sbin/rcocfs2
mkdir -p ${RPM_BUILD_ROOT}/var/adm/fillup-templates
cp -f vendor/common/o2cb.sysconfig ${RPM_BUILD_ROOT}/var/adm/fillup-templates/sysconfig.o2cb
make DESTDIR="$RPM_BUILD_ROOT" install
mv $RPM_BUILD_ROOT/{,/usr}/sbin/debugfs.ocfs2
mv $RPM_BUILD_ROOT/{,/usr}/sbin/ocfs2cdsl
mv $RPM_BUILD_ROOT/{,/usr}/sbin/tunefs.ocfs2
%{__python} -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT/%{py_sitedir}/ocfs2interface', ddir='%{py_sitedir}/ocfs2interface')"

%clean
if
  [ -n "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]
then
  rm -rf $RPM_BUILD_ROOT
fi

%post
%run_ldconfig
%{fillup_and_insserv -n -y -Y o2cb o2cb}
%{fillup_and_insserv -n -y -Y ocfs2 ocfs2}

%preun
%stop_on_removal ocfs2
%stop_on_removal o2cb

%postun
%run_ldconfig
%restart_on_update ocfs2
%restart_on_update o2cb
%{insserv_cleanup}

%files
%defattr(-,root,root)
/sbin/fsck.ocfs2
/sbin/mkfs.ocfs2
/sbin/mounted.ocfs2
/usr/sbin/tunefs.ocfs2
/sbin/o2cb_ctl
/sbin/mount.ocfs2
/sbin/ocfs2_hb_ctl
/usr/sbin/debugfs.ocfs2
/usr/sbin/ocfs2cdsl
/sbin/rco2cb
/sbin/rcocfs2
/etc/init.d/o2cb
/etc/init.d/ocfs2
/usr/share/man/man8/debugfs.ocfs2.8*
/usr/share/man/man8/fsck.ocfs2.8*
/usr/share/man/man8/fsck.ocfs2.checks.8*
/usr/share/man/man8/mkfs.ocfs2.8*
/usr/share/man/man8/tunefs.ocfs2.8*
/usr/share/man/man8/mounted.ocfs2.8*
/usr/share/man/man8/mount.ocfs2.8*
/usr/share/man/man8/o2cb_ctl.8*
/usr/share/man/man8/ocfs2_hb_ctl.8*
/usr/share/man/man8/ocfs2cdsl.8*
/var/adm/fillup-templates/sysconfig.o2cb
%doc README.O2CB COPYING CREDITS MAINTAINERS
%doc documentation/users_guide.txt

%files -n ocfs2console
%defattr(-,root,root)
%{py_sitedir}/ocfs2interface
/usr/sbin/ocfs2console
/usr/share/man/man8/ocfs2console.8*

%files devel
%defattr(-,root,root)
%{_includedir}/o2cb
%{_includedir}/o2dlm
%{_includedir}/ocfs2
%{_libdir}/libo2cb.a
%{_libdir}/libo2dlm.a
%{_libdir}/libocfs2.a
%{_libdir}/pkgconfig/o2cb.pc
%{_libdir}/pkgconfig/o2dlm.pc
%{_libdir}/pkgconfig/ocfs2.pc
%changelog
* Tue Nov 20 2007 - jack@suse.cz
- Update to 1.3.9
* Tue Aug 07 2007 - jeffm@suse.com
- Update to 1.2.6
  - Support for file attributes field
  - Fix for automatically selecting next node number
  - Multiple fsck fixes
  - Offline resize
  - Documentation updates
* Sun Nov 19 2006 - schwab@suse.de
- Don't use kernel headers.
* Sun Nov 19 2006 - ro@suse.de
- define offsetof locally if it does not come from kernel header
* Mon Oct 30 2006 - lmb@suse.de
- Upgrade to version 1.2.2 to match in-kernel version.
- Split-off devel subpackage.
* Sat Oct 28 2006 - meissner@suse.de
- use RPM_OPT_FLAGS
* Sat Sep 30 2006 - aj@suse.de
- Cleanup BuildRequires.
* Wed Aug 16 2006 - cthiel@suse.de
- buildrequire python-gtk-devel instead of python-gtk
* Wed May 03 2006 - kukuk@suse.de
- Fix compile with new glibc
* Wed Apr 26 2006 - lmb@suse.de
- Update to 1.2.1 to match in-kernel version.
* Mon Apr 24 2006 - lmb@suse.de
- Create /sbin/rcocfs2, rco2cb symlinks (#167261).
* Tue Apr 04 2006 - lmb@suse.de
- Install "ocfs2" init script and enable it (#160724).
* Fri Mar 03 2006 - jeffm@suse.com
- Updated to version 1.2.0, per Oracle
* Fri Mar 03 2006 - jeffm@suse.com
- Enabled o2cb by default on package install to allow it to shut
  down when manually started. Otherwise, the system will hang
  during shutdown.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov 11 2005 - lmb@suse.de
- Should-Start: iscsi added (from SLES9) (#114733)
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Tue Nov 01 2005 - jeffm@suse.com
- Update to version 1.1.3 - SVN 1105
* Mon Aug 22 2005 - garloff@suse.de
- Fix python defines.
* Mon Aug 22 2005 - garloff@suse.de
- Fix build with different python versions.
- Fix package description.
* Sat Aug 20 2005 - lmb@suse.de
- Initial packaging of ocfs2-tools, from SLES9.
- Update to version 1.1.1 - SVN 1063
